
CoCoALib - Design #1685

RingBase::mySwap needed?

08 Jun 2022 18:23 - John Abbott

Status: In Progress Start date: 08 Jun 2022

Priority: Normal Due date:  

Assignee:  % Done: 10%

Category: Improving Estimated time: 0.00 hour

Target version: CoCoALib-0.99880 Spent time: 0.10 hour

Description

What does the mem fn RingBase::mySwap do?

Can it just swap the "raw pointers" in all cases?

The current impl/design may be unnecessarily complicated.  Review it!

And write some doc!

Related issues:

Related to CoCoALib - Design #1682: swap for new classes In Progress 31 May 2022

History

#1 - 15 Sep 2022 14:13 - John Abbott

- Related to Design #1682: swap for new classes added

#2 - 15 Sep 2022 14:14 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

Oops: See comment 2 in issue #1682  [should have been here]

#3 - 07 Mar 2024 20:49 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99880
